QListBoxPixmap(3qt)

NAME
QListBoxPixmap - List box items with a pixmap and an optional text

SYNOPSIS

#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxPixmap ( QListBox * listbox, const QPixmap & )
QListBoxPixmap ( const QPixmap & )
QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, QListBoxItem * after )
QListBoxPixmap ( QListBox * listbox, const QPixmap &, const QString & )
QListBoxPixmap ( const QPixmap &, const QString & )
QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString &, QListBoxItem * after )
~QListBoxPixmap ()
virtual const QPixmap* pixmap () const
virtual int height ( const QListBox * ) const
virtual int width ( const QListBox * ) const

  Protected Members
virtual void paint ( QPainter * )

DESCRIPTION
The QListBoxPixmap class provides list box items with a pixmap and an optional text.

See also QListBox and QListBoxItem.

MEMBER FUNCTION DOCUMENTATION

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text )
Constructs a new list box item in listbox listbox showing the pixmap pixmap and the text text

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text, QListBoxItem * after )
Constructs a new list box item in listbox listbox showing the pixmap pixmap and the string text . The item gets inserted after the item after.

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap )
Constructs a new list box item in listbox listbox showing the pixmap pixmap.

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap, QListBoxItem * after )
Constructs a new list box item in listbox listbox showing the pixmap pixmap. The item gets inserted after the item after.

QListBoxPixmap::QListBoxPixmap ( const QPixmap & pix, const QString & text )
Constructs a new list box item in listbox listbox showing the pixmap pixmap. The item gets inserted after the item after.

QListBoxPixmap::QListBoxPixmap ( const QPixmap & pixmap )
Constructs a new list box item showing the pixmap pixmap.

QListBoxPixmap::~QListBoxPixmap ()
Destroys the item.

int QListBoxPixmap::height ( const QListBox * lb ) const [virtual]
Returns the height of the pixmap.

See also paint() and width().

Reimplemented from QListBoxItem.

void QListBoxPixmap::paint ( QPainter * painter ) [virtual protected]
Draws the pixmap using painter.

Reimplemented from QListBoxItem.

const QPixmap * QListBoxPixmap::pixmap () const [virtual]
Returns the pixmap connected with the item.

Reimplemented from QListBoxItem.

int QListBoxPixmap::width ( const QListBox * lb ) const [virtual]
Returns the width of the pixmap, plus some margin.

See also paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://doc.trolltech.com/qlistboxpixmap.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.